<mamecheat version="1">

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@8619</action>
    </script>
    <script state="run">
      <action>maincpu.mb@8619=20</action>
    </script>
    <script state="off">
      <action>maincpu.mb@8619=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Smart Bombs">
    <script state="run">
      <action>maincpu.pb@0078=06</action>
    </script>
  </cheat>

  <cheat desc="Always Have Best Laser">
    <script state="run">
      <action>maincpu.pb@096E=0A</action>
    </script>
  </cheat>

  <cheat desc="Always Have Best K-CAN">
    <script state="run">
      <action>maincpu.pw@0972=CA30</action>
    </script>
  </cheat>

  <cheat desc="Always Have Best PULS">
    <script state="run">
      <action>maincpu.pw@096A=AA30</action>
    </script>
  </cheat>

  <cheat desc="Always Have Best HYPER">
    <script state="run">
      <action>maincpu.pw@0976=E830</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Set after inserted a credit then press start button soon</comment>
    <parameter min="1" max="8" step="1"/>
    <script state="on">
      <action>maincpu.pb@0072=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@0072=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@0013=00|(maincpu.pb@0013 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0984=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@099C=03</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Skip RAM/ROM Check"> <comment>It's better to use together with Pre-Enable</comment>
    <script state="on">
      <action>temp0 =maincpu.md@F4D1</action>
    </script>
    <script state="run">
      <action>maincpu.md@F4D1=1605BC00|(maincpu.md@F4D1 BAND ~FFFFFF00)</action>
    </script>
    <script state="off">
      <action>maincpu.md@F4D1=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
